Skip to main content

Add priority senders

Add one or more users to the priority senders list of a specific open channel. Messages from priority senders are never dropped under high server load.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/open-channel/participant/priority-sender-list/add

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesThe open channel ID.
participantIdsArrayYesUser IDs to add as priority senders. Maximum 20 users per open channel.

Request example

HTTP
POST /v4/open-channel/participant/priority-sender-list/add HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "LoDld8izA",
"participantIds": ["uu1", "uu2"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}